Subject: Re: bug#24091: 24.5; High CPU usage at startup while hidden

From: Noam Postavsky <[email-masked]>
Date: Sun, 4 Sep 2016 09:40:53 -0400

On Sun, Sep 4, 2016 at 9:15 AM, martin rudalics <[email-masked]> wrote:
>> The 2nd time, there are two iterations of the frame loop. In the first
>> iteration, (wdesc == XtWindow (x->widget)) is false.
>
> I suppose this happens for the frame x_make_frame_visible is waiting for
> to become visible.  Correct?

Having trouble parsing your sentence. This happens before
x_make_frame_visible gets called, and before the actual frame is
visible. Is that what you're asking?

During the infloop[1] of x_make_frame_visible, I can see an indication
for a new window coming up in the target workspace, but the frame is
still not visible because I haven't switched to the workspace yet. The
infloop gets one ConfigureNotify event, and then nothing else.

[1]: This one:
    /* Process X events until a MapNotify event has been seen.  */
    while (!FRAME_VISIBLE_P (f))